GCLOUD(1)

NAME

gcloud - manage Google Cloud Platform resources and developer workflow

SYNOPSIS

gcloud GROUP | COMMAND [--account ACCOUNT] [--configuration CONFIGURATION] [--format FORMAT] [--help] [--project PROJECT_ID] [--quiet, -q] [--verbosity VERBOSITY] [-h] [-v, --version] [--log-http] [--trace-token TRACE_TOKEN] [--no-user-output-enabled]

DESCRIPTION
The gcloud CLI manages authentication, local configuration, developer workflow, and interactions with the Google Cloud Platform APIs.

COMMONLY USED FLAGS
--account ACCOUNT
    Google Cloud Platform user account to use for invocation.
--configuration CONFIGURATION
    The configuration to use for this command invocation. For more information on how to use configurations, run: gcloud topic configurations. You can also use the [CLOUDSDK_ACTIVE_CONFIG_NAME] environment variable to set the equivalent of this flag for a terminal session.
--format FORMAT
    Sets the format for printing command output resources. The default is a command-specific human-friendly output format. The supported formats are: csv, default, flattened, json, list, multi, none, table, text, value, yaml. For more details run $ gcloud topic formats.
--help
    Display detailed help.
--project PROJECT_ID
    The Google Cloud Platform project name to use for this invocation. If omitted then the current project is assumed.
--quiet, -q
    Disable all interactive prompts when running gcloud commands. If input is required, defaults will be used, or an error will be raised.
--verbosity VERBOSITY
    Override the default verbosity for this command. This must be a standard logging verbosity level: [debug, info, warning, error, critical, none] (Default: [warning]).
-h
    Print a summary help and exit.
-v, --version
    Print version information and exit. This flag is only available at the global level.

OTHER FLAGS
--log-http
    Log all HTTP server requests and responses to stderr. Overrides the default log_http property value for this command invocation. Use --no-log-http to disable.
--trace-token TRACE_TOKEN
    Token used to route traces of service requests for investigation of issues.
--user-output-enabled
    Print user intended output to the console. Overrides the default user_output_enabled property value for this command invocation. Use --no-user-output-enabled to disable.

GROUPS
GROUP is one of the following: app
    Manage your App Engine app.
auth
    Manage oauth2 credentials for the Google Cloud SDK.
components
    List, install, update, or remove Google Cloud SDK components.
compute
    Read and manipulate Google Compute Engine resources.
config
    View and edit Cloud SDK properties.
container
    Deploy and manage clusters of machines for running containers.
dataproc
    Create and manage Google Cloud Dataproc clusters and jobs.
deployment-manager
    Manage deployments of cloud resources.
dns
    Manage your Cloud DNS managed-zones and record-sets.
iam
    Manage IAM service accounts and keys.
preview
    (PREVIEW) Preview versions of gcloud commands.
projects
    Manage your projects.
source
    Cloud git repository commands.
sql
    Manage Cloud SQL databases.
topic
    gcloud supplementary help.

COMMANDS
COMMAND is one of the following: docker
    Provides the docker CLI access to the Google Container Registry.
feedback
    Provide feedback to the Google Cloud SDK team.
help
    Prints detailed help messages for the specified commands.
info
    Display information about the current gcloud environment.
init
    Initialize or reinitialize gcloud.
version
    Print version information for Cloud SDK components.